Skip to main content
POST
/
solana
/
compression
/
{app_id}
/
{wallet_id}
/
collections
cURL
curl --request POST \
  --url https://api.example.com/solana/compression/{app_id}/{wallet_id}/collections \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "symbol": "<string>",
  "uri": "<string>"
}
'
import requests

url = "https://api.example.com/solana/compression/{app_id}/{wallet_id}/collections"

payload = {
"name": "<string>",
"symbol": "<string>",
"uri": "<string>"
}
headers = {"Content-Type": "application/json"}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', symbol: '<string>', uri: '<string>'})
};

fetch('https://api.example.com/solana/compression/{app_id}/{wallet_id}/collections', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "<string>",
  "name": "<string>",
  "symbol": "<string>",
  "uri": "<string>",
  "mint_address": "<string>",
  "token_account_address": "<string>",
  "metadata_account_address": "<string>",
  "master_edition_account_address": "<string>",
  "tx_signature": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z"
}

Path Parameters

app_id
string
required
wallet_id
string
required

Body

application/json
name
string
required
symbol
string
required
uri
string
required

Response

201 - application/json
id
string
required
name
string
required
symbol
string
required
uri
string
required
mint_address
string
required
token_account_address
string
required
metadata_account_address
string
required
master_edition_account_address
string
required
tx_signature
string
required
created_at
string<date-time>
required
updated_at
string<date-time>
required